Index: tests/regression/Fragmentation/Automation/pre/BondFragmentAdjacency.dat
===================================================================
--- tests/regression/Fragmentation/Automation/pre/BondFragmentAdjacency.dat	(revision d76161ebad259dbe9c91bea5ed52654bda2d48d6)
+++ tests/regression/Fragmentation/Automation/pre/BondFragmentAdjacency.dat	(revision d76161ebad259dbe9c91bea5ed52654bda2d48d6)
@@ -0,0 +1,23 @@
+0	16	
+1	16	
+2	17	
+3	17	
+4	18	
+5	18	
+6	19	
+7	19	
+8	20	
+9	20	
+10	21	
+11	21	
+12	21	
+13	22	
+14	22	
+15	22	
+16	0	1	17	18	
+17	16	2	3	19	
+18	4	5	20	16	
+19	17	6	7	21	
+20	18	8	9	22	
+21	19	11	12	10	
+22	14	15	13	20	
Index: tests/regression/Fragmentation/Automation/pre/BondFragmentForces-Factors.dat
===================================================================
--- tests/regression/Fragmentation/Automation/pre/BondFragmentForces-Factors.dat	(revision d76161ebad259dbe9c91bea5ed52654bda2d48d6)
+++ tests/regression/Fragmentation/Automation/pre/BondFragmentForces-Factors.dat	(revision d76161ebad259dbe9c91bea5ed52654bda2d48d6)
@@ -0,0 +1,7 @@
+0	1	-1	-1	16	
+-1	2	3	-1	17	
+4	5	-1	-1	18	
+-1	6	7	-1	19	
+-1	8	9	-1	20	
+-1	11	12	10	21	
+14	15	13	-1	22	
Index: tests/regression/Fragmentation/Automation/pre/BondFragmentKeySets.dat
===================================================================
--- tests/regression/Fragmentation/Automation/pre/BondFragmentKeySets.dat	(revision d76161ebad259dbe9c91bea5ed52654bda2d48d6)
+++ tests/regression/Fragmentation/Automation/pre/BondFragmentKeySets.dat	(revision d76161ebad259dbe9c91bea5ed52654bda2d48d6)
@@ -0,0 +1,7 @@
+16
+17
+18
+19
+20
+21
+22
Index: tests/regression/Fragmentation/Automation/pre/Job00.in
===================================================================
--- tests/regression/Fragmentation/Automation/pre/Job00.in	(revision a98afbcce27393b6d0e5a9d8194861fdc719a427)
+++ 	(revision )
@@ -1,1 +1,0 @@
-/home/heber/workspace_C/molecuilder/tests/regression/Fragmentation/Automation/pre/BondFragment00.out
Index: tests/regression/Fragmentation/Automation/pre/Job01.in
===================================================================
--- tests/regression/Fragmentation/Automation/pre/Job01.in	(revision a98afbcce27393b6d0e5a9d8194861fdc719a427)
+++ 	(revision )
@@ -1,1 +1,0 @@
-/home/heber/workspace_C/molecuilder/tests/regression/Fragmentation/Automation/pre/BondFragment01.out
Index: tests/regression/Fragmentation/Automation/pre/Job02.in
===================================================================
--- tests/regression/Fragmentation/Automation/pre/Job02.in	(revision a98afbcce27393b6d0e5a9d8194861fdc719a427)
+++ 	(revision )
@@ -1,1 +1,0 @@
-/home/heber/workspace_C/molecuilder/tests/regression/Fragmentation/Automation/pre/BondFragment02.out
Index: tests/regression/Fragmentation/Automation/pre/Job03.in
===================================================================
--- tests/regression/Fragmentation/Automation/pre/Job03.in	(revision a98afbcce27393b6d0e5a9d8194861fdc719a427)
+++ 	(revision )
@@ -1,1 +1,0 @@
-/home/heber/workspace_C/molecuilder/tests/regression/Fragmentation/Automation/pre/BondFragment03.out
Index: tests/regression/Fragmentation/Automation/pre/Job04.in
===================================================================
--- tests/regression/Fragmentation/Automation/pre/Job04.in	(revision a98afbcce27393b6d0e5a9d8194861fdc719a427)
+++ 	(revision )
@@ -1,1 +1,0 @@
-/home/heber/workspace_C/molecuilder/tests/regression/Fragmentation/Automation/pre/BondFragment04.out
Index: tests/regression/Fragmentation/Automation/pre/Job05.in
===================================================================
--- tests/regression/Fragmentation/Automation/pre/Job05.in	(revision a98afbcce27393b6d0e5a9d8194861fdc719a427)
+++ 	(revision )
@@ -1,1 +1,0 @@
-/home/heber/workspace_C/molecuilder/tests/regression/Fragmentation/Automation/pre/BondFragment05.out
Index: tests/regression/Fragmentation/Automation/pre/Job06.in
===================================================================
--- tests/regression/Fragmentation/Automation/pre/Job06.in	(revision a98afbcce27393b6d0e5a9d8194861fdc719a427)
+++ 	(revision )
@@ -1,1 +1,0 @@
-/home/heber/workspace_C/molecuilder/tests/regression/Fragmentation/Automation/pre/BondFragment06.out
Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-mpqc-jobs.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-mpqc-jobs.at	(revision a98afbcce27393b6d0e5a9d8194861fdc719a427)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-mpqc-jobs.at	(revision d76161ebad259dbe9c91bea5ed52654bda2d48d6)
@@ -10,4 +10,13 @@
 WORKERLISTENPORT=1062
 
+# create job files for stand-in mpqc
+i=0
+while test -e ${abs_top_srcdir}/tests/regression/Fragmentation/Automation/pre/BondFragment`printf %02d $i`.out; do
+  nr=`printf %02d $i`
+  echo "Creating Job${nr}.in"
+  echo "${abs_top_srcdir}/tests/regression/Fragmentation/Automation/pre/BondFragment${nr}.out" >Job${nr}.in
+  ((i+=1))
+done
+
 # start service in background
 ${AUTOTEST_PATH}/Fragmentation/Automation/Server $WORKERPORT $CONTROLLERPORT &
@@ -15,11 +24,11 @@
 AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
 
-# add one job 
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT addjobs ../../mpqc ${abs_top_srcdir}/tests/regression/Fragmentation/Automation/pre/BondFragment00.in], 0, [ignore], [ignore], [kill $server_pid])
+# add jobs
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT addjobs "../../mpqc" Job??.in], 0, [ignore], [ignore], [kill $server_pid])
 
 # enlist a worker to work on jobs
 ${AUTOTEST_PATH}/Fragmentation/Automation/PoolWorker 127.0.0.1 $WORKERPORT 127.0.0.1 $WORKERLISTENPORT &
 worker_pid=$!
-AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([sleep 5], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
 # send kill signal to worker such that it shuts down
@@ -27,6 +36,9 @@
 
 # check number of done jobs
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT checkresults], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "1 jobs are calculated so far" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller 127.0.0.1 $CONTROLLERPORT receivempqc ${abs_top_srcdir}/tests/regression/Fragmentation/Automation/pre/], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "There are 7 fragments" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "There are 23 atoms" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "Resulting energy is -279.837" stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "Resulting forces are" stdout], 0, [ignore], [ignore], [kill $server_pid])
 
 # shutdown controller socket 
